package com.zd.exam.service;

import com.zd.exam.domain.ElQuRepo;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 试题题库(ElQuRepo)表服务接口
 *
 * @author liubo
 * @since 2021-08-30 17:10:49
 */
public interface ElQuRepoService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElQuRepo queryById(Long id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElQuRepo> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param elQuRepo 实例对象
     * @return 实例对象
     */
    ElQuRepo insert(ElQuRepo elQuRepo);

    /**
     * 修改数据
     *
     * @param elQuRepo 实例对象
     * @return 实例对象
     */
    ElQuRepo update(ElQuRepo elQuRepo);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    List<Long> queryByQuId(Long id);

    void saveAll(@NotNull Long quId, Integer quType, List<Long> repoIds);
}
